Class AuditsAdapter
Represents an adapter for the Audits domain to simplify the command interface.
public class AuditsAdapter
- Inheritance
-
AuditsAdapter
- Inherited Members
Constructors
AuditsAdapter(IDevToolsSession)
Initializes a new instance of the AuditsAdapter class.
public AuditsAdapter(IDevToolsSession session)
Parameters
sessionIDevToolsSessionThe IDevToolsSession to be used with this adapter.
Exceptions
- ArgumentNullException
If
sessionis null.
Properties
Session
Gets the DevToolsSession associated with the adapter.
public IDevToolsSession Session { get; }
Property Value
Methods
CheckFormsIssues(CheckFormsIssuesCommandSettings?, CancellationToken, int?, bool)
Runs the form issues check for the target page. Found issues are reported using Audits.issueAdded event.
public Task<CheckFormsIssuesCommandResponse> CheckFormsIssues(CheckFormsIssuesCommandSettings? command = null, CancellationToken cancellationToken = default, int? millisecondsTimeout = null, bool throwExceptionIfResponseNotReceived = true)
Parameters
commandCheckFormsIssuesCommandSettingscancellationTokenCancellationTokenmillisecondsTimeoutint?throwExceptionIfResponseNotReceivedbool
Returns
Disable(DisableCommandSettings?, CancellationToken, int?, bool)
Disables issues domain, prevents further issues from being reported to the client.
public Task<DisableCommandResponse?> Disable(DisableCommandSettings? command = null, CancellationToken cancellationToken = default, int? millisecondsTimeout = null, bool throwExceptionIfResponseNotReceived = true)
Parameters
commandDisableCommandSettingscancellationTokenCancellationTokenmillisecondsTimeoutint?throwExceptionIfResponseNotReceivedbool
Returns
Enable(EnableCommandSettings?, CancellationToken, int?, bool)
Enables issues domain, sends the issues collected so far to the client by means of the
issueAdded event.
public Task<EnableCommandResponse?> Enable(EnableCommandSettings? command = null, CancellationToken cancellationToken = default, int? millisecondsTimeout = null, bool throwExceptionIfResponseNotReceived = true)
Parameters
commandEnableCommandSettingscancellationTokenCancellationTokenmillisecondsTimeoutint?throwExceptionIfResponseNotReceivedbool
Returns
GetEncodedResponse(GetEncodedResponseCommandSettings, CancellationToken, int?, bool)
Returns the response body and size if it were re-encoded with the specified settings. Only applies to images.
public Task<GetEncodedResponseCommandResponse> GetEncodedResponse(GetEncodedResponseCommandSettings command, CancellationToken cancellationToken = default, int? millisecondsTimeout = null, bool throwExceptionIfResponseNotReceived = true)
Parameters
commandGetEncodedResponseCommandSettingscancellationTokenCancellationTokenmillisecondsTimeoutint?throwExceptionIfResponseNotReceivedbool
Returns
Events
IssueAdded
issueAdded
public event EventHandler<IssueAddedEventArgs>? IssueAdded